Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog.database
Class DatabaseCategory

    java.lang.Object
      org.blojsom.blog.database.DatabaseCategory

All Implemented Interfaces:
  Category, java.io.Serializable

public class DatabaseCategory
extends java.lang.Object
implements Category, java.io.Serializable

DatabaseCategory

Since:
  blojsom 3.0
Version:
  $Id: DatabaseCategory.java,v 1.3 2006/05/13 14:09:56 czarneckid Exp $
Author:
  David Czarnecki
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_description`
`protected java.util.Map` | `_metaData`
`protected java.lang.String` | `_name`

Constructor Summary
`DatabaseCategory()` Create a new instance of the database category

Method Summary
`java.lang.String` | `getBlogId()` Get the blog ID
`java.lang.String` | `getDescription()` Retrieves the description of this category
`java.lang.String` | `getEncodedName()` Return the category name encoded for a link
`java.lang.Integer` | `getId()` Get the category ID
`java.util.Map` | `getMetaData()` Retrieves the meta-data associated with this category
`java.lang.String` | `getName()` Return the category name
`Category` | `getParentCategory()` Returns the parent category of this category.
`java.lang.Integer` | `getParentCategoryId()` Get the blog parent category ID
`void` | `setBlogId(java.lang.String blogId)` Set the blog ID
`void` | `setDescription(java.lang.String description)` Sets the description of this category
`void` | `setId(java.lang.Integer id)` Set the category ID
`void` | `setMetaData(java.util.Map metaData)` Set the meta-data associated with this category
`void` | `setName(java.lang.String name)` Set a new name for this category
`void` | `setParentCategory(Category parentCategory)` Sets the parent category of this category
`void` | `setParentCategoryId(java.lang.Integer parentCategoryId)` Se the parent category ID

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _name

    protected java.lang.String _name

### _metaData

    protected java.util.Map _metaData

### _description

    protected java.lang.String _description

Constructor Detail

### DatabaseCategory

    public DatabaseCategory()

  Create a new instance of the database category

Method Detail

### getId

    public java.lang.Integer getId()

  Get the category ID

  Specified by:
    `getId` in interface `Category`
  Returns:
    Category ID

### setId

    public void setId(java.lang.Integer id)

  Set the category ID

  Specified by:
    `setId` in interface `Category`
  Parameters:
    `id` - Category ID

### getParentCategoryId

    public java.lang.Integer getParentCategoryId()

  Get the blog parent category ID

  Specified by:
    `getParentCategoryId` in interface `Category`
  Returns:
    Parent category ID

### setParentCategoryId

    public void setParentCategoryId(java.lang.Integer parentCategoryId)

  Se the parent category ID

  Specified by:
    `setParentCategoryId` in interface `Category`
  Parameters:
    `parentCategoryId` - Parent category ID

### getBlogId

    public java.lang.String getBlogId()

  Get the blog ID

  Specified by:
    `getBlogId` in interface `Category`
  Returns:
    Blog ID

### setBlogId

    public void setBlogId(java.lang.String blogId)

  Set the blog ID

  Specified by:
    `setBlogId` in interface `Category`
  Parameters:
    `blogId` - Blog ID

### setName

    public void setName(java.lang.String name)

  Set a new name for this category

  Specified by:
    `setName` in interface `Category`
  Parameters:
    `name` - Category name

### getName

    public java.lang.String getName()

  Return the category name

  Specified by:
    `getName` in interface `Category`
  Returns:
    Category name

### getEncodedName

    public java.lang.String getEncodedName()

  Return the category name encoded for a link

  Specified by:
    `getEncodedName` in interface `Category`
  Returns:
    Category name encoded as UTF-8 with preserved "/" and "+" characters

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of this category

  Specified by:
    `setDescription` in interface `Category`
  Parameters:
    `description` - The new description of the category

### getDescription

    public java.lang.String getDescription()

  Retrieves the description of this category

  Specified by:
    `getDescription` in interface `Category`
  Returns:
    The description of the category

### setMetaData

    public void setMetaData(java.util.Map metaData)

  Set the meta-data associated with this category

  Specified by:
    `setMetaData` in interface `Category`
  Parameters:
    `metaData` - The map to be associated with the category as meta-data

### getMetaData

    public java.util.Map getMetaData()

  Retrieves the meta-data associated with this category

  Specified by:
    `getMetaData` in interface `Category`
  Returns:
    The properties associated with the category as meta-data, or null if no metadata exists

### getParentCategory

    public Category getParentCategory()

  Returns the parent category of this category. Defaults to "/"

  Specified by:
    `getParentCategory` in interface `Category`
  Returns:
    `Category` containing the parent category

### setParentCategory

    public void setParentCategory(Category parentCategory)

  Sets the parent category of this category

  Specified by:
    `setParentCategory` in interface `Category`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD